﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __StoreDetail = LightSwitchApplication.StoreDetail

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class StoreDetail
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __StoreDetail, __StoreDetail.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the StoreDetail entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __StoreDetail))
            MyBase.New(entitySet)
            
            __StoreDetail.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreDetail_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreDetail_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property StoreName As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.StoreName)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.StoreName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Address As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Address)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Address, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Phone1 As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Phone1)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Phone1, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone1_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone1_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone1_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property EmailAddress As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.EmailAddress)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.EmailAddress, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailAddress_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailAddress_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailAddress_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property WebAddress As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.WebAddress)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.WebAddress, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property VAT As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.VAT)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.VAT, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub VAT_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub VAT_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub VAT_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PIN As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.PIN)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.PIN, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PIN_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PIN_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PIN_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Phone2 As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Phone2)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Phone2, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone2_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone2_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone2_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Phone3 As String
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Phone3)
            End Get
            Set
                __StoreDetail.DetailsClass.SetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Phone3, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone3_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone3_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone3_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property Employees As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.Employee)
            Get
                Return __StoreDetail.DetailsClass.GetValue(Me, __StoreDetail.DetailsClass.PropertySetProperties.Employees)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property EmployeesQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.Employee)
            Get
                Return __StoreDetail.DetailsClass.GetQuery(Me, __StoreDetail.DetailsClass.PropertySetProperties.Employees)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __StoreDetail, _
                __StoreDetail.DetailsClass, _
                __StoreDetail.DetailsClass.IImplementation, _
                __StoreDetail.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __StoreDetail, __StoreDetail.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __StoreDetail, __StoreDetail.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __StoreDetail.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __StoreDetailEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __StoreDetail, __StoreDetail.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __StoreDetail, __StoreDetail.DetailsClass).Entry( _
                    AddressOf __StoreDetail.DetailsClass.__StoreDetail_CreateNew, _
                    AddressOf __StoreDetail.DetailsClass.__StoreDetail_Created, _
                    AddressOf __StoreDetail.DetailsClass.__StoreDetail_AllowSaveWithErrors)
            Private Shared Function __StoreDetail_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __StoreDetail)) As __StoreDetail
                Return New __StoreDetail(es)
            End Function
            Private Shared Sub __StoreDetail_Created(e As __StoreDetail)
                e.StoreDetail_Created()
            End Sub
            Private Shared Function __StoreDetail_AllowSaveWithErrors(e As __StoreDetail) As Boolean
                Dim result As Boolean = False
                e.StoreDetail_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __StoreDetail, __StoreDetail.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __StoreDetail, __StoreDetail.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __StoreDetail.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __StoreDetail, __StoreDetail.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property StoreName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.StoreName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.Address),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Phone1 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.Phone1),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property EmailAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.EmailAddress),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.WebAddress),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property VAT As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.VAT),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property PIN As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.PIN),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Phone2 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.Phone2),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Phone3 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.Phone3),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Employees As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Global.LightSwitchApplication.Employee)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__StoreDetail.DetailsClass.PropertySetProperties.Employees),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Global.LightSwitchApplication.Employee))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property StoreName As String
                Shadows Property Address As String
                Shadows Property Phone1 As String
                Shadows Property EmailAddress As String
                Shadows Property WebAddress As String
                Shadows Property VAT As String
                Shadows Property PIN As String
                Shadows Property Phone2 As String
                Shadows Property Phone3 As String
                Shadows ReadOnly Property Employees As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Integer).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __StoreDetail.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __StoreDetail.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __StoreDetail)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Byte()).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __StoreDetail.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __StoreDetail.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __StoreDetail)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly StoreName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "StoreName", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._StoreName_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._StoreName_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._StoreName_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._StoreName_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._StoreName_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._StoreName_OnValueChanged)
                Private Shared Sub _StoreName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._StoreName, sf)
                End Sub
                Private Shared Function _StoreName_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.StoreName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _StoreName_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.StoreName_Validate(r)
                End Sub
                Private Shared Function _StoreName_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.StoreName
                End Function
                Private Shared Sub _StoreName_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.StoreName = v
                End Sub
                Private Shared Sub _StoreName_OnValueChanged(e As __StoreDetail)
                    e.StoreName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "Address", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Address_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Address_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Address_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Address_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Address_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Address_OnValueChanged)
                Private Shared Sub _Address_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._Address, sf)
                End Sub
                Private Shared Function _Address_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.Address_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Address_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Address_Validate(r)
                End Sub
                Private Shared Function _Address_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.Address
                End Function
                Private Shared Sub _Address_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.Address = v
                End Sub
                Private Shared Sub _Address_OnValueChanged(e As __StoreDetail)
                    e.Address_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Phone1 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "Phone1", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone1_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone1_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone1_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone1_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone1_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone1_OnValueChanged)
                Private Shared Sub _Phone1_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._Phone1, sf)
                End Sub
                Private Shared Function _Phone1_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.Phone1_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Phone1_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Phone1_Validate(r)
                End Sub
                Private Shared Function _Phone1_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.Phone1
                End Function
                Private Shared Sub _Phone1_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.Phone1 = v
                End Sub
                Private Shared Sub _Phone1_OnValueChanged(e As __StoreDetail)
                    e.Phone1_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly EmailAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "EmailAddress", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._EmailAddress_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._EmailAddress_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._EmailAddress_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._EmailAddress_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._EmailAddress_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._EmailAddress_OnValueChanged)
                Private Shared Sub _EmailAddress_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._EmailAddress, sf)
                End Sub
                Private Shared Function _EmailAddress_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.EmailAddress_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _EmailAddress_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.EmailAddress_Validate(r)
                End Sub
                Private Shared Function _EmailAddress_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.EmailAddress
                End Function
                Private Shared Sub _EmailAddress_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.EmailAddress = v
                End Sub
                Private Shared Sub _EmailAddress_OnValueChanged(e As __StoreDetail)
                    e.EmailAddress_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "WebAddress", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._WebAddress_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._WebAddress_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._WebAddress_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._WebAddress_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._WebAddress_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._WebAddress_OnValueChanged)
                Private Shared Sub _WebAddress_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._WebAddress, sf)
                End Sub
                Private Shared Function _WebAddress_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.WebAddress_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _WebAddress_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.WebAddress_Validate(r)
                End Sub
                Private Shared Function _WebAddress_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.WebAddress
                End Function
                Private Shared Sub _WebAddress_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.WebAddress = v
                End Sub
                Private Shared Sub _WebAddress_OnValueChanged(e As __StoreDetail)
                    e.WebAddress_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly VAT As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "VAT", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._VAT_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._VAT_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._VAT_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._VAT_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._VAT_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._VAT_OnValueChanged)
                Private Shared Sub _VAT_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._VAT, sf)
                End Sub
                Private Shared Function _VAT_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.VAT_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _VAT_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.VAT_Validate(r)
                End Sub
                Private Shared Function _VAT_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.VAT
                End Function
                Private Shared Sub _VAT_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.VAT = v
                End Sub
                Private Shared Sub _VAT_OnValueChanged(e As __StoreDetail)
                    e.VAT_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PIN As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "PIN", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._PIN_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._PIN_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._PIN_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._PIN_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._PIN_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._PIN_OnValueChanged)
                Private Shared Sub _PIN_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._PIN, sf)
                End Sub
                Private Shared Function _PIN_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.PIN_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PIN_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PIN_Validate(r)
                End Sub
                Private Shared Function _PIN_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.PIN
                End Function
                Private Shared Sub _PIN_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.PIN = v
                End Sub
                Private Shared Sub _PIN_OnValueChanged(e As __StoreDetail)
                    e.PIN_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Phone2 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "Phone2", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone2_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone2_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone2_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone2_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone2_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone2_OnValueChanged)
                Private Shared Sub _Phone2_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._Phone2, sf)
                End Sub
                Private Shared Function _Phone2_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.Phone2_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Phone2_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Phone2_Validate(r)
                End Sub
                Private Shared Function _Phone2_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.Phone2
                End Function
                Private Shared Sub _Phone2_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.Phone2 = v
                End Sub
                Private Shared Sub _Phone2_OnValueChanged(e As __StoreDetail)
                    e.Phone2_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Phone3 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Entry( _
                        "Phone3", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone3_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone3_ComputeIsReadOnly, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone3_Validate, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone3_GetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone3_SetImplementationValue, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Phone3_OnValueChanged)
                Private Shared Sub _Phone3_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._Phone3, sf)
                End Sub
                Private Shared Function _Phone3_ComputeIsReadOnly(e As __StoreDetail) As Boolean
                    Dim result As Boolean = False
                    e.Phone3_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Phone3_Validate(e As __StoreDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Phone3_Validate(r)
                End Sub
                Private Shared Function _Phone3_GetImplementationValue(d As __StoreDetail.DetailsClass) As String
                    Return d.ImplementationEntity.Phone3
                End Function
                Private Shared Sub _Phone3_SetImplementationValue(d As __StoreDetail.DetailsClass, v As String)
                    d.ImplementationEntity.Phone3 = v
                End Sub
                Private Shared Sub _Phone3_OnValueChanged(e As __StoreDetail)
                    e.Phone3_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Employees As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Global.LightSwitchApplication.Employee).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Global.LightSwitchApplication.Employee).Entry( _
                        "Employees", _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Employees_Stub, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Employees_GetReferencedEntities, _
                        AddressOf __StoreDetail.DetailsClass.PropertySetProperties._Employees_GetEntityCollection)
                Private Shared Sub _Employees_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __StoreDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Global.LightSwitchApplication.Employee).Data), d As __StoreDetail.DetailsClass, sf As Object)
                    c(d, d._Employees, sf)
                End Sub
                Private Shared Function _Employees_GetReferencedEntities(d As __StoreDetail.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.Employee)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.Employee, Global.LightSwitchApplication.Employee.DetailsClass)(__StoreDetail.DetailsClass.PropertySetProperties.Employees, d._Employees)
                End Function
                Private Shared Function _Employees_GetEntityCollection(d As __StoreDetail.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.Employees
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _StoreName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Phone1 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _EmailAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _VAT As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PIN As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Phone2 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Phone3 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __StoreDetail, __StoreDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Employees As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __StoreDetail, __StoreDetail.DetailsClass, Global.LightSwitchApplication.Employee).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
